#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Анализы номенклатуры. Установка норматива

Сценарий: 03_quality_control. Создание документа Анализы номенклатуры. Установка норматива
	Дано Я подключаюсь под "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры. Установка норматива'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание)'
	И в таблице "Нормативы" я нажимаю на кнопку 'Добавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "Вид анализа"
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'показатели МДЖ МДБ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "Показатель"
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива (создание) *'
	И в таблице "Нормативы" я активизирую поле "с"
	И в таблице "Нормативы" в поле 'с' я ввожу текст '23,000'
	И в таблице "Нормативы" я активизирую поле "по"
	И в таблице "Нормативы" в поле 'по' я ввожу текст '35,000'
	И в таблице "Нормативы" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры. Установка норматива (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры. Установка норматива'
	И Я закрываю окно 'Анализы номенклатуры. Установка норматива'